> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/provisioning/api-reference/user.md).

# User

To become a user you need to [create an account](https://dashboard.commercelayer.io/sign_up) in Commerce Layer using your email address or any other available options (it's free!). A user can create or join one or more [organizations](/provisioning/api-reference/organizations.md) to manage [memberships](/provisioning/api-reference/memberships.md) and assign or be assigned specific [roles](/provisioning/api-reference/roles.md) and [permissions](/provisioning/api-reference/permissions.md).

The user endpoint provides basic information about the currently authenticated user and the associated memberships.

{% hint style="info" %}
The user cannot be created or deleted by the Provisioning API. You can only retrieve the current user and/or update information such as name, email, reference, and metadata.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.commercelayer.io/provisioning/api-reference/user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
